﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ajax.aspx.cs" Inherits="jquery_jquery_load_bind_gridview_with_paging_ajax" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Bind GridView with Paging using jQuery Load with No Page Refresh</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico">
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2, h3 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

                h2 a:hover {
                    text-decoration: underline;
                }

            h3 a {
                color: #00e8ff;
                text-decoration: none;
            }

        .container {
            width: 960px;
            margin: auto;
            color: #FFF;
            font-size: 25px;
        }

            .container h3 {
                font-size: 25px;
                text-decoration: underline;
                text-align: left;
            }

            .container #content {
                border: dashed 2px #CCC;
                padding: 10px;
                position: relative;
            }

                .container #content #gridViewDiv {
                    padding-top: 20px;
                }

                .container #content #gridViewDiv {
                    margin-top: 20px;
                }

                    .container #content #gridViewDiv tr:nth-child(1) {
                        background: #e28650;
                    }

                .container #content .imageDiv {
                    text-align: center;
                }

                    .container #content .imageDiv img {
                        display: none;
                        top: 40%;
                        left: 40%;
                        position: absolute;
                    }

        #reset {
            padding: 5px 10px;
            background: #4CAF50;
            border: none;
            color: #FFF;
            cursor: pointer;
        }

            #reset:hover {
                color: #4CAF50;
                background: #FFF;
            }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <h1>Bind GridView with Paging using jQuery Load with No Page Refresh</h1>
        <h2><a href="http://www.yogihosting.com/bind-gridview-with-ajax/">Read the tutorial on YogiHosting » </a>
            <button id="reset">Reset »</button></h2>
        <h3>Important Link - <a href="http://www.yogihosting.com/jquery-load/">jQuery Load</a></h3>
        <div class="container">
            <div id="content">
                <h3>Bind GridView using jQuery Load</h3>
                <select id="productSelect">
                    <option value="All">All</option>
                    <option value="Chai">Chai</option>
                    <option value="Chang">Chang</option>
                    <option value="Konbu">Konbu</option>
                    <option value="Tunnbröd">Tunnbröd</option>
                </select>
                <button id="bindButton">Click Here</button>
                <div class="imageDiv">
                    <img src="loading.gif" />
                </div>
                <div id="gridViewDiv"></div>
            </div>
        </div>
        <!—Reference to jQuery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
        <script>
            $(document).ready(function () {
                $("#reset").click(function (e) {
                    $("#gridViewDiv").html("");
                });

                $("#bindButton").click(function (e) {
                    $("#gridViewDiv").html("");
                    BindGridView(1)
                    return false;
                });

                $("#gridViewDiv").on("click", ".gridViewFooter td a", function () {
                    var hrefValue = $(this).attr("href")
                    var commaIndex = hrefValue.indexOf(",")
                    var pageNo = hrefValue.substring(commaIndex + 2).replace("')", "").replace("Page$", "")
                    BindGridView(pageNo)
                });

                function BindGridView(pageNo) {
                    $("#gridViewDiv").load("gridViewPage.aspx #gridView", { "productName": $("#productSelect").val(), "pageNo": pageNo }, function (response, status, xhr) {
                        if (status == "error")
                            $("#gridViewDiv").html("Error: " + xhr.status + ": " + xhr.statusText);
                    });
                }

                $(document).ajaxStart(function () {
                    $("img").show();
                });

                $(document).ajaxStop(function () {
                    $("img").hide();
                });
            });
        </script>
    </form>
</body>
</html>
